name = "[Kava] Infinity Edge"
description = "This mod add a Infinity Edge, from League of Legends. \nDurability: 175 uses (configurable) \nCritical damage can be true (ignore def) or normal (configurable, true damage by default) \nCritical damage: x2 (configurable) \nCrit chance: 20% (configurable) \nDamage: 37.5 (configurable) \nRecipe: 1 Spear, 1 Pickaxe, 5 Moon Rocks, at Shadow Manipulator (configurable)"
author = "Kavaline"
version = "1.0"
forumthread = ""
api_version = 10

-- Compatible with Don't Starve Together
dst_compatible = true

-- Not compatible with Don't Starve
dont_starve_compatible = false
reign_of_giants_compatible = false

-- Character mods need this set to true
all_clients_require_mod = true 

icon_atlas = "modicon.xml"
icon = "modicon.tex"
configuration_options =
{
	{
		name = "Durability",
		options =	{
						{description = "250 Uses", data = 250},
						{description = "200 Uses", data = 200},
						{description = "175 Uses", data = 175},
						{description = "150 Uses", data = 150},
						{description = "125 Uses", data = 125},
						{description = "100 Uses", data = 100},
					},
		default = 175,
	},
	{
		name = "Crit Type",
		options =	{
						{description = "True", data = 1},
						{description = "Normal", data = 2},
					},
		default = 1,
	},
	{
		name = "Crit Damage",
		options =	{
						{description = "x 2.5", data = 2.5},
						{description = "x 2", data = 2},
						{description = "x 1.75", data = 1.75},
						{description = "x 1.5", data = 1.5},
					},
		default = 2,
	},
	{
		name = "Crit Chance",
		options =	{
						{description = "20%", data = 0.2},
						{description = "25%", data = 0.25},
						{description = "30%", data = 0.3},
						{description = "35%", data = 0.35},
						{description = "50%", data = 0.5},
					},
		default = 0.2,
	},
	{
		name = "Weapon Damage",
		options =	{
						{description = "45 DMG", data = 45},
						{description = "42.5 DMG", data = 42.5},
						{description = "40 DMG", data = 40},
						{description = "37.5 DMG", data = 37.5},
						{description = "35 DMG", data = 35},
						{description = "32.5 DMG", data = 32.5},
						{description = "30 DMG", data = 30},
						{description = "27.5 DMG", data = 27.5},
					},
		default = 37.5,
	},
	{
		name = "Ingredient 1",
		options =	{
						{description = "Marble x1", data = "marble"},
						{description = "Spear x1", data = "spear"},
						{description = "Thulecite x1", data = "thulecite"},
					},
		default = "spear",
	},
	{
		name = "Ingredient 2",
		options =	{
						{description = "Pickaxe x1", data = "pickaxe"},
						{description = "Opulent Pickaxe x1", data = "goldenpickaxe"},
						{description = "Pick/Axe x1", data = "multitool_axe_pickaxe"},
					},
		default = "pickaxe",
	},
	{
		name = "Ingredient 3",
		options =	{
						{description = "Flint x5", data = "flint"},
						{description = "Gold x5", data = "goldnugget"},
						{description = "Nightmarefuel x5", data = "nightmarefuel"},
						{description = "Moon Rock x5", data = "moonrocknugget"},
						{description = "Steel Wool x5", data = "steelwool"},
						--{description = "", data = ""}, --modded metal bar
					},
		default = "moonrocknugget",
	},
	{
		name = "Required Station",
		options =	{
						{description = "None", data = 0},
						{description = "Science Machine", data = 1},
						{description = "Alchemy Machine", data = 2},
						{description = "Prestihatitator", data = 3},
						{description = "Shadow Manipulator", data = 4},
						{description = "Ancient Low", data = 5},
						{description = "Ancient High", data = 6},
						{description = "Celestial Low", data = 7},
						{description = "Celestial High", data = 8},
						{description = "Lost", data = 9},
					},
		default = 4,
	},
}
