PrefabFiles = {
    "infinity_edge",
}

Assets = { 
    Asset( "ANIM", "anim/infinity_edge.zip" ),
    Asset( "ANIM", "anim/swap_infinity_edge.zip" ),

    Asset( "ATLAS", "images/inventoryimages/infinity_edge.xml" ),
    Asset( "IMAGE", "images/inventoryimages/infinity_edge.tex" ),
}

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS
local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local resolvefilepath = GLOBAL.resolvefilepath
local TUNING = GLOBAL.TUNING
--local State = GLOBAL.State
--local EventHandler = GLOBAL.EventHandler
--local TheWorld = GLOBAL.TheWorld
--local TECH = GLOBAL.TECH
--local AllRecipes = GLOBAL.AllRecipes
--local CHARACTER_INGREDIENT = GLOBAL.CHARACTER_INGREDIENT

-- Config values
TUNING.INFINITY_EDGE_DURAB = GetModConfigData("Durability")
TUNING.INFINITY_EDGE_CRIT_TYPE = GetModConfigData("Crit Type")
TUNING.INFINITY_EDGE_CRIT_DMG = GetModConfigData("Crit Damage")
TUNING.INFINITY_EDGE_CRIT = GetModConfigData("Crit Chance")
TUNING.INFINITY_EDGE_DMG = GetModConfigData("Weapon Damage")
local station = GetModConfigData("Required Station")
if station == 0 then
	station = GLOBAL.TECH.NONE
elseif station == 1 then
	station = GLOBAL.TECH.SCIENCE_ONE
elseif station == 2 then
	station = GLOBAL.TECH.SCIENCE_TWO
elseif station == 3 then
	station = GLOBAL.TECH.MAGIC_TWO
elseif station == 4 then
	station = GLOBAL.TECH.MAGIC_THREE
elseif station == 5 then
	station = GLOBAL.TECH.ANCIENT_TWO
elseif station == 6 then
	station = GLOBAL.TECH.ANCIENT_FOUR
elseif station == 7 then
	station = GLOBAL.TECH.CELESTIAL_ONE
elseif station == 8 then
	station = GLOBAL.TECH.CELESTIAL_THREE
elseif station == 9 then
	station = GLOBAL.TECH.LOST
end
TUNING.INFINITY_EDGE_TECH = station

-- Strings
STRINGS.NAMES.INFINITY_EDGE = "Infinity Edge"
STRINGS.RECIPE_DESC.INFINITY_EDGE = "Strike critically your enemies! Sometimes."
STRINGS.CHARACTERS.GENERIC.DESCRIBE.INFINITY_EDGE = "The pickaxe was needed?"

-- Recipe
local infinity_edge = AddRecipe("infinity_edge",{Ingredient(GetModConfigData("Ingredient 1"),1), Ingredient(GetModConfigData("Ingredient 2"),1), Ingredient(GetModConfigData("Ingredient 3"),5)},
RECIPETABS.WAR, TUNING.INFINITY_EDGE_TECH, nil, nil, nil, nil, nil)
--infinity_edge.sortkey = 0
infinity_edge.atlas = resolvefilepath("images/inventoryimages/infinity_edge.xml")
